This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 475134 - nameserver not saved
nameserver not saved
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On: 469434
Blocks: 473002
  Show dependency treegraph
 
Reported: 2008-12-07 22:39 EST by H.J. Lu
Modified: 2009-12-18 02:11 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:11:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2008-12-07 22:39:21 EST
+++ This bug was initially created as a clone of Bug #469434 +++

I have a static IP on eth0.  When I used system-config-network to
set up DNS with correct namesever, I got

[hjl@sea sources]$ cat /etc/resolv.conf  
# Generated by NetworkManager
search in.lucon.org


# No nameservers found; try putting DNS servers into your
# ifcfg files in /etc/sysconfig/network-scripts like so:
#
# DNS1=xxx.xxx.xxx.xxx
# DNS2=xxx.xxx.xxx.xxx
# DOMAIN=lab.foo.com bar.foo.com

I had to put namesever in /etc/resolv.conf by hand.
Comment 1 Harald Hoyer 2008-12-08 03:28:10 EST
NetworkManager recreated this file. You may turn off the NetworkManager service, if you have an all static setup.
Comment 2 Len Brown 2008-12-09 00:03:26 EST
this is a bug bug bug

I open sys-config-network and tell it my gateway,
and it doesn't write DNS1 into ifcfg-eth0,
and thus there is no nameserver in /etc/resolv.conf

It should make NO difference if NetworkManager is running or not.

I use a static IP on my wired ethernet, and DHCP when on wireless.
Wireless is useless in FC without NetworkManager and static IP
is useless WITH NetworkManager...
Comment 3 Stephen Warren 2009-01-30 11:30:22 EST
*If* the solution for an all static setup is to disable NetworkManager (and I think that's definitely not a good solution at all), then at the very least, system-config-network should tell me that, and refuse to allow me to edit/save/... configuration until I do that.

Note: I'm not sure if the bug is that s-c-n doesn't save the DNS fields to ifcfg-eth*, or that NetworkManager doesn't read the global DNS data that s-c-n saves - i.e. it could be a bug against the s-c-n module or the NM module.

That said, if you look at Bug #473002 (which this is probably a dup of), you'll note that s-c-n saves the DNS information to /etc/resolv.conf (well, really /etc/sysconfig/networking/profiles/default/resolv.conf which is hard-linked to /etc/resolv.conf) and hence NM trashes it, because it doesn't break the hard-link. The configuration should be saved (by s-c-n) to something other than /etc/resolv.conf (ifcfg-eth* would make sense), so that NM can read that other file when generating /etc/resolv.conf.
Comment 4 Robert Barnett 2009-04-27 18:11:08 EDT
I have experienced this on two fresh installs.

I attempted to use s-c-n to config a static network and it didn't work.
I had to use ifconfig until I found out about NetworkManager

The docs say to use NetworkManager so I handed control of all ethernet devices over to it.

Now I have lost DNS and must manually write to resolv.conf

I don't understand what I am supposed to do. This is a bug and makes no sense to close it until it is fixed or explained how I can actually get a static network config working on a fresh install.
Comment 5 Bug Zapper 2009-11-18 04:39:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:11:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.